dpkg-divert(8)

NOM
dpkg-divert - remplacer la version d'un fichier contenu dans un paquet.

SYNOPSIS
dpkg-divert [options] [--add] <fichier>
dpkg-divert [options] --remove <fichier>
dpkg-divert [options] --list <motif-de-recherche>
dpkg-divert [options] --truename <fichier>

DESCRIPTION
Le « détournement » de fichier est un moyen d'obliger dpkg(1) à installer un fichier non pas dans l'emplacement prévu mais dans un autre. Les scripts des paquets Debian se servent de la déviation pour déplacer les fichiers qui créent des conflits. Les administrateurs s'en servent, lors de l'installation d'une version plus récente d'un paquet, pour remplacer les fichiers de configuration de certains paquets, ou bien à chaque fois que des fichiers (qui ne sont pas des « conffiles ») doivent être préservés par dpkg.

dpkg-divert sert à créer et à mettre à jour la liste des détournements. Il possède trois modes élémentaires, l'ajout, la suppression et le listage d'un détournement. Les options sont respectivement --add, --remove et --list. De plus, il peut afficher le vrai nom d'un fichier détourné avec --truename. On peut indiquer d'autres options (voyez la liste ci-dessous).

OPTIONS

--admindir <répertoire>
    Définit le répertoire de données de Dpkg comme <répertoire> (par défaut c'est /var/lib/dpkg).

--divert <détourner-dans>
    <détourner-dans> est l'emplacement vers lequel les versions de <fichier>, tel qu'il est donné par d'autres paquets, seront détournées.

--local
    Indique que toutes les versions de ce fichier sont détournées. Cela signifie qu'il n'y a pas d'exception et quelque soit le paquet installé, ce fichier sera détourné. Un administrateur peut par exemple installer une version modifiée localement.

--package <paquet>
    <paquet> est le nom du paquet dont la copie de <fichier> ne sera pas détournée. Autrement dit, <fichier> sera détourné sauf s'il appartient à <paquet>.

--quiet
    Mode silencieux, pas de bavardage.

--rename
    Met en fait le fichier de côté. Quand le fichier de destination existe, dpkg-divert interrompt l'opération.

--test
    Mode de test, ne rien modifier réellement, seulement montrer.

--help
    Affiche quelques instructions d'aide, et se termine normalement.

--version
    Affiche le nom du programme et sa version puis se termine normalement.

NOTES
Pour l'ajout, le défaut est --local et --divert <original>.distrib. Pour la suppression, --package ou --local et --divert doivent correspondre quand ils sont précisés. On ne peut pas détourner des répertoires avec dpkg-divert. Il faut faire attention quand une bibliothèque partagée est détournée. ldconfig(8) crée un lien symbolique à partir du champ DT_SONAME embarqué dans la bibliothèque. ldconfig ne connaît pas les détournements (seul dpkg le fait), et si une bibliothèque détournée possède le même SONAME que la bibliothèque non détournée, le lien symbolique peut pointer en fin de compte sur la bibliothèque détournée.

EXEMPLES
Pour détourner toutes les copies de /usr/bin/example vers /usr/bin/example.foo, c'est-à-dire demander aux paquets qui fournissent /usr/bin/example de l'installer dans /usr/bin/example.foo, en effectuant le changement de nom si nécessaire :

dpkg-divert --divert /usr/bin/example.foo --rename /usr/bin/example

Pour supprimer ce détournement :

dpkg-divert --rename --remove /usr/bin/example

Pour détourner un paquet qui veut installer /usr/bin/example dans /usr/bin/example.foo, sauf votre propre paquet wibble :

dpkg-divert --package wibble --divert /usr/bin/example.foo --rename /usr/bin/example

Pour supprimer ce détournement :

dpkg-divert --package wibble --rename --remove /usr/bin/example

FICHIERS

/var/lib/dpkg/diversions
    Ce fichier contient la liste des détournements en oeuvre sur le système. Il se trouve dans le répertoire d'administration de dpkg, avec d'autres fichiers importants comme « status » ou « available ».
    Note : dpkg-divert préserve l'ancienne copie de ce fichier, avec l'extension « -old », avant de la remplacer par la nouvelle.

VOIR AUSSI
dpkg(1).

AUTEUR
Copyright (C) 1995 Ian Jackson.

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Philippe Batailler, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.